summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/mpvplay19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/mpvplay b/bin/mpvplay
new file mode 100755
index 0000000..9c92516
--- /dev/null
+++ b/bin/mpvplay
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+[ -n "$DEBUG" ] && set -x
+
+uri="${1}"
+
+notify-send \
+	-i "$(iconez -n mpv | grep 32)" \
+	-a mpv \
+	'playing' \
+	"${uri}"
+
+# if xap now >/dev/null 2>&1; then
+# 	xap player run --no-defaults --detached
+# fi
+
+# exec xap add -n "${uri}"
+exec mpv "${uri}"